> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List providers

> Get a list of all available AI providers, including both available and connected ones.



## OpenAPI

````yaml /openapi.json get /provider
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /provider:
    get:
      summary: List providers
      description: >-
        Get a list of all available AI providers, including both available and
        connected ones.
      operationId: provider.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: List of providers
          content:
            application/json:
              schema:
                type: object
                properties:
                  all:
                    type: array
                    items:
                      $ref: '#/components/schemas/Provider'
                  default:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                  connected:
                    type: array
                    items:
                      type: string
                required:
                  - all
                  - default
                  - connected
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.provider.list({
              ...
            })
components:
  schemas:
    Provider:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        source:
          type: string
          enum:
            - env
            - config
            - custom
            - api
        env:
          type: array
          items:
            type: string
        key:
          type: string
        options:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        models:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/Model'
      required:
        - id
        - name
        - source
        - env
        - options
        - models
    Model:
      type: object
      properties:
        id:
          type: string
        providerID:
          type: string
        api:
          type: object
          properties:
            id:
              type: string
            url:
              type: string
            npm:
              type: string
          required:
            - id
            - url
            - npm
        name:
          type: string
        family:
          type: string
        capabilities:
          type: object
          properties:
            temperature:
              type: boolean
            reasoning:
              type: boolean
            attachment:
              type: boolean
            toolcall:
              type: boolean
            input:
              type: object
              properties:
                text:
                  type: boolean
                audio:
                  type: boolean
                image:
                  type: boolean
                video:
                  type: boolean
                pdf:
                  type: boolean
              required:
                - text
                - audio
                - image
                - video
                - pdf
            output:
              type: object
              properties:
                text:
                  type: boolean
                audio:
                  type: boolean
                image:
                  type: boolean
                video:
                  type: boolean
                pdf:
                  type: boolean
              required:
                - text
                - audio
                - image
                - video
                - pdf
            interleaved:
              anyOf:
                - type: boolean
                - type: object
                  properties:
                    field:
                      type: string
                      enum:
                        - reasoning_content
                        - reasoning_details
                  required:
                    - field
          required:
            - temperature
            - reasoning
            - attachment
            - toolcall
            - input
            - output
            - interleaved
        cost:
          type: object
          properties:
            input:
              type: number
            output:
              type: number
            cache:
              type: object
              properties:
                read:
                  type: number
                write:
                  type: number
              required:
                - read
                - write
            experimentalOver200K:
              type: object
              properties:
                input:
                  type: number
                output:
                  type: number
                cache:
                  type: object
                  properties:
                    read:
                      type: number
                    write:
                      type: number
                  required:
                    - read
                    - write
              required:
                - input
                - output
                - cache
          required:
            - input
            - output
            - cache
        limit:
          type: object
          properties:
            context:
              type: number
            input:
              type: number
            output:
              type: number
          required:
            - context
            - output
        status:
          type: string
          enum:
            - alpha
            - beta
            - deprecated
            - active
        options:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        headers:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        release_date:
          type: string
        variants:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: object
            propertyNames:
              type: string
            additionalProperties: {}
      required:
        - id
        - providerID
        - api
        - name
        - capabilities
        - cost
        - limit
        - status
        - options
        - headers
        - release_date

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.